Developers
API ReferenceDepartment

Create department

POST
/user/departments

Create department

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new Department resource

  1. body
name*string
Lengthlength <= 100

Response Body

Department resource created

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/user/departments' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string"}